Playbooks
Configure when and how Retivo intervenes
List playbooks
Authorization
bearerAuth API key (rt_live_... or rt_test_...)
In: header
Response Body
application/json
curl -X GET "https://retivo.ai/api/playbooks"{
"playbooks": [
{
"id": "string",
"name": "string",
"status": "string",
"lifecycle_area": "string",
"entry_conditions": {
"property1": null,
"property2": null
},
"exit_conditions": {
"property1": null,
"property2": null
},
"constraints": {
"property1": null,
"property2": null
},
"strategy_hints": {
"property1": null,
"property2": null
},
"created_at": "string",
"status_changed_at": "string",
"success_rate": 0
}
]
}Create a playbook
Authorization
bearerAuth API key (rt_live_... or rt_test_...)
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://retivo.ai/api/playbooks" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{
"id": "string",
"name": "string",
"status": "string",
"created_at": "string"
}{
"error": "string",
"current": 0,
"limit": 0,
"upgrade_to": "string"
}Delete (archive) a playbook
Authorization
bearerAuth API key (rt_live_... or rt_test_...)
In: header
Path Parameters
Response Body
application/json
curl -X DELETE "https://retivo.ai/api/playbooks/string"{
"archived": true
}Update a playbook
Authorization
bearerAuth API key (rt_live_... or rt_test_...)
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://retivo.ai/api/playbooks/string" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "string",
"name": "string",
"status": "string"
}{
"error": "string"
}Update playbook status
Authorization
bearerAuth API key (rt_live_... or rt_test_...)
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://retivo.ai/api/playbooks/string/status" \ -H "Content-Type: application/json" \ -d '{ "status": "draft" }'{
"id": "string",
"status": "string"
}{
"error": "string"
}Preview matching user count
Authorization
bearerAuth API key (rt_live_... or rt_test_...)
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://retivo.ai/api/playbooks/preview-count" \ -H "Content-Type: application/json" \ -d '{ "entry_conditions": { "property1": null, "property2": null } }'{
"matching_users": 0
}